<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Axios</title>
</head>
<body>
  <div id="app">

    <div v-if="errors.length>0">
        <h5>Error :</h5>
        <ul>
            <li v-for="(error,index) in errors" :key="index">{{error}}</li>
        </ul>
    </div>

      <form v-on:submit.prevent="">
          <table> 
              <tr>
                  <td>Nama: </td>
                  <td><input type="text" v-model="form.name" /></td>
              </tr> 
              <tr>
                <td>Address: </td>
                <td><input type="text" v-model="form.address" /></td>
              </tr>
              <tr>
                <td>No HP: </td>
                <td><input type="text" v-model="form.no_hp"/></td>
              </tr>
              <tr>
                <td> 
                    <button type="submit">Submit</button> 
                </td>
              </tr>
          </table>
        </form>

        <table border="1">
            <thread>
                <tr>
                    <td>foto</td>
                    <td>Nama</td>
                    <td>Alamat</td>
                    <td>No Hp</td>
                </tr>
            </thread>
            <tbody>
                <tr>
                    <td>foto</td>
                    <td></td>
                </tr>
            </tbody>
        </table>
  </div>

  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>

  <script>
      let vm = new Vue ({
          el: '#app',
          data:{
              form:{
                  name:'',
                  address:'',
                  no_hp: '',
              },  
              errors : [''],
          },
          method: {
              clearForm: function() {
                  this.form.name = ' '
                  this.form.address =' '
                  this.form.no_hp = ' '
              },
              validationForm: function() {
                if(this.form.name.length<5){
                    this.errors.push('Nama harus lebih dari 5 Karakter')
                }
                if (this.form.address.length<5){
                    this.errors.push('Address harus lebih dari 5 Karakter')
                }
                if(this.form.no_hp.length<5){
                    this.errors.push('Nomor harus lebih dari 5 Karakter')
                }
              },
              submitForm: function() {
                  this.validationForm()

                  if(this.errors.length = 0) {
                    let formData = new formData()
                     formData.append('name', this.form.name)
                     formData.append('address', this.form.address)
                     formData.append('no_hp', this.form.no_hp)

                const config = {
                      method: 'post',
                      url: 'http://demo-api-vue.sanbercloud.com/api/member',
                      data: formData,
                  }

                  axios(config)
                    .then((response) => {
                      this.clearForm( )
                      alert(respone.data.message)
                  })
                  .catch (error => {
                      console.log(error)
                  })
                  }

                  axios(config)
                    .then((response) => {
                      this.clearForm( )
                      alert(respone.data.message)
                  })
                  .catch (error => {
                      console.log(error)
                  })
              }
          },
          getMembers : function() {
            const config = {
                      method: 'post',
                      url: 'http://demo-api-vue.sanbercloud.com/api/member',
                      data: formData,
                  }
            axios(config).then(response =>{

            }) .catch(error => {
                console.log(error)
            })
          }
      })
  </script>
</body>
</html>

